{"componentChunkName":"component---src-templates-redoc-operation-js","path":"/openapi/zayo/tag/Service-Inventory/","result":{"data":{"contentItem":{"type":"redoc-operation","link":"/openapi/zayo/tag/Service-Inventory/","data":{"redocStoreStr":"{\"menu\":{\"activeItemIdx\":-1},\"definition\":{\"data\":{\"openapi\":\"3.0.1\",\"info\":{\"version\":\"1.0\",\"title\":\"Zayo APIs\",\"description\":\"Zayo offers free APIs to help make doing business with Zayo easier. The world is shifting from user-led interfaces to system-to-system integration through application programming interfaces.  Zayo, your trusted digital transformation partner, is ready to help. Seamless integration to Zayo’s Customer Portal responds to the growing need for automation. Discover how to expand your network, get quotes, order quotes, and manage your network with our Ticketing and Maintenance Cases API.    \",\"contact\":{\"name\":\"Zayo API Team\",\"email\":\"zayoapi@zayo.com\"}},\"servers\":[{\"url\":\"https://api.zayo.com\",\"description\":\"Production server\"}],\"paths\":{\"/services/location-management/v2/buildings/validation\":{\"post\":{\"summary\":\"Validate building addresses\",\"description\":\"Validate any building in the world with a few parameters to see if Zayo is on net. A buildingId or locationId is required for quoting.\",\"operationId\":\"validateBuildings\",\"tags\":[\"Discovery\"],\"requestBody\":{\"description\":\"A request containing one or several buildings to validate to understand if they are in Zayo's system, and whether they are on net or off net.\",\"required\":true,\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"required\":[\"address\",\"city\",\"countryCode\"],\"properties\":{\"address\":{\"type\":\"string\"},\"city\":{\"type\":\"string\"},\"subregion\":{\"type\":\"string\"},\"countryCode\":{\"type\":\"string\"},\"neighborhood\":{\"type\":\"string\"},\"postal\":{\"type\":\"string\"},\"region\":{\"type\":\"string\"}}},\"examples\":{\"One Building\":{\"value\":{\"buildings\":[{\"address\":\"60 Hudson Street\",\"neighborhood\":null,\"city\":\"New York\",\"subregion\":null,\"region\":null,\"countryCode\":\"USA\",\"postal\":null}]}},\"Several Buildings\":{\"value\":{\"buildings\":[{\"address\":\"Avenue Leon Grosjean 2\",\"neighborhood\":null,\"city\":\"Evre\",\"subregion\":null,\"region\":null,\"countryCode\":\"BEL\",\"postal\":null},{\"address\":\"60 Hudson Street\",\"neighborhood\":null,\"city\":\"New York\",\"subregion\":null,\"region\":null,\"countryCode\":\"USA\",\"postal\":null},{\"address\":\"123 Test Street\",\"neighborhood\":null,\"city\":\"Boulder\",\"subregion\":null,\"region\":\"CO\",\"countryCode\":\"USA\",\"postal\":null}]}}}}}},\"responses\":{\"200\":{\"description\":\"Success\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"apiVersion\":{\"type\":\"string\"},\"data\":{\"type\":\"object\",\"properties\":{\"matchedAddresses\":{\"type\":\"array\",\"items\":{\"type\":\"object\",\"properties\":{\"country\":{\"type\":\"string\"},\"address\":{\"type\":\"string\"},\"matched_address\":{\"type\":\"string\"},\"city\":{\"type\":\"string\"},\"subregion\":{},\"neighborhood\":{},\"postal\":{},\"region\":{},\"zayoNetworkStatus\":{\"type\":\"string\"},\"buildingId\":{\"type\":\"string\"}}}},\"unmatchedAddresses\":{\"type\":\"array\",\"items\":{\"type\":\"object\",\"properties\":{\"country\":{\"type\":\"string\"},\"address\":{\"type\":\"string\"},\"city\":{},\"subregion\":{},\"neighborhood\":{},\"postal\":{},\"region\":{},\"message\":{\"type\":\"string\"},\"zayoNetworkStatus\":{},\"buildingId\":{}}}}}}}},\"examples\":{\"Matched Building\":{\"value\":\"{\\\"apiVersion\\\": \\\"v2\\\", \\\"data\\\": { \\\"matchedAddresses\\\": [{\\\"buildingId\\\": \\\"a0W600000009mrkEAA\\\",\\n  \\\"matched_address\\\": \\\"60 Hudson St, New York, 10013\\\",\\n  \\\"address\\\": \\\"60 Hudson Street\\\",\\n  \\\"neighborhood\\\": null,\\n  \\\"city\\\": \\\"New York\\\",\\n  \\\"subregion\\\": null,\\n  \\\"region\\\": null,\\n  \\\"country\\\": \\\"USA\\\",\\n  \\\"postal\\\": null,\\n  \\\"zayoNetworkStatus\\\": \\\"On Zayo Network\\\"}]}}\"},\"Unmatched Building\":{\"value\":\"{\\\"apiVersion\\\": \\\"v2\\\", \\\"data\\\": { \\\"unmatchedAddresses\\\": [{\\\"buildingId\\\": null,\\\"address\\\": \\\"123 Test Street\\\",\\\"neighborhood\\\": null,\\\"city\\\": \\\"Boulder\\\", \\\"subregion\\\": null, \\\"region\\\": null, \\\"country\\\": \\\"USA\\\", \\\"postal\\\": null, \\\"zayoNetworkStatus\\\": null, \\\"message\\\": \\\"Unable to validate this address in the current format. Please reformat before resubmitting.\\\"}]}}\"},\"Multiple Buildings\":{\"value\":\"{ \\\"apiVersion\\\": \\\"v2\\\", \\\"data\\\": {\\\"matchedAddresses\\\": [{\\n            \\\"buildingId\\\": \\\"a0W600000009mrkEAA\\\",\\n            \\\"matched_address\\\": \\\"60 Hudson St, New York, 10013\\\",\\n            \\\"address\\\": \\\"60 Hudson Street\\\",\\n            \\\"neighborhood\\\": null,\\n            \\\"city\\\": \\\"New York\\\",\\n            \\\"subregion\\\": null,\\n            \\\"region\\\": null,\\n            \\\"country\\\": \\\"USA\\\",\\n            \\\"postal\\\": null,\\n            \\\"zayoNetworkStatus\\\": \\\"On Zayo Network\\\"\\n        },\\n        {\\n            \\\"buildingId\\\": \\\"a0W0z00000APp0IEAT\\\",\\n            \\\"matched_address\\\": \\\"Avenue Léon Grosjean 2, 1140, Evere\\\",\\n            \\\"address\\\": \\\"Avenue Leon Grosjean 2\\\",\\n            \\\"neighborhood\\\": null,\\n            \\\"city\\\": \\\"Evre\\\",\\n            \\\"subregion\\\": null,\\n            \\\"region\\\": null,\\n            \\\"country\\\": \\\"BEL\\\",\\n            \\\"postal\\\": null,\\n            \\\"zayoNetworkStatus\\\": \\\"Not on Zayo Network\\\"\\n        }\\n    ],\\n    \\\"unmatchedAddresses\\\": [\\n        {\\n            \\\"buildingId\\\": null,\\n            \\\"address\\\": \\\"123 Test Street\\\",\\n            \\\"neighborhood\\\": null,\\n            \\\"city\\\": \\\"Boulder\\\",\\n            \\\"subregion\\\": null,\\n            \\\"region\\\": null,\\n            \\\"country\\\": \\\"USA\\\",\\n            \\\"postal\\\": null,\\n            \\\"zayoNetworkStatus\\\": null,\\n            \\\"message\\\": \\\"Unable to validate this address in the current format. Please reformat before resubmitting.\\\"\\n        }]}}\"}}}}},\"400\":{\"description\":\"Bad Request\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"apiVersion\":{\"type\":\"string\"},\"error\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\"},\"errorId\":{\"type\":\"string\"},\"message\":{\"type\":\"string\"},\"errors\":{\"type\":\"array\",\"items\":{\"type\":\"string\"}}}}}},\"examples\":{\"Null Required Field\":{\"value\":\"{\\\"apiVersion\\\":\\\"v2\\\",\\\"error\\\":{\\\"errorId\\\":\\\"0b51eea6-9cad-5bd9-0bc2-3c1a6ea92584\\\",\\\"code\\\":400,\\\"message\\\":\\\"Error: Failed JSON Validation - [[1].address - should NOT be shorter than 3 characters. limit: 3]\\\",\\\"errors\\\":[]}}\"}}}}}}}},\"/services/location-management/v2/building/{buildingId}/locations\":{\"get\":{\"summary\":\"Get locations\",\"description\":\"View all locations defined by floor, room, and suite for the specified building in the URL. View enabled and preferred Zayo products. There will only ever be 1 location for each preferred product.\",\"operationId\":\"getLocations\",\"tags\":[\"Discovery\"],\"parameters\":[{\"name\":\"buildingId\",\"in\":\"path\",\"required\":true,\"description\":\"buildingId returned from the /buildings/validation route\",\"schema\":{\"type\":\"string\"},\"example\":\"a0W0z00000APp0IEAT\"}],\"responses\":{\"200\":{\"description\":\"Success\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\"},\"examples\":{\"On Net and Off Net Locations\":{\"value\":\"{\\n  \\\"apiVersion\\\": \\\"v2\\\",\\n  \\\"data\\\": {\\n      \\\"buildingId\\\": \\\"a0W60000002BxA8EAK\\\",\\n      \\\"address\\\": \\\"9417 Corporate Lake Dr, Tampa, Florida, 33634\\\",\\n      \\\"zayoNetworkStatus\\\": \\\"On Zayo Network\\\",\\n      \\\"locations\\\": [\\n          {\\n              \\\"locationName\\\": \\\"9417 Corporate Lake Dr/Fl-1/Rm-MMR\\\",\\n              \\\"locationId\\\": \\\"a0b6000000Avil2AAB\\\",\\n              \\\"networkStatus\\\": \\\"On Zayo Network\\\",\\n              \\\"suite\\\": null,\\n              \\\"floor\\\": \\\"1\\\",\\n              \\\"room\\\": \\\"MMR\\\",\\n              \\\"enabled\\\": {\\n                  \\\"ETH-ELAN-M2M\\\": true,\\n                  \\\"ETH-ELINE-NNI\\\": true,\\n                  \\\"ETH-ELINE-P2P\\\": true,\\n                  \\\"ETH-ELINE-UNI\\\": true,\\n                  \\\"ETH-PDN-P2P\\\": false,\\n                  \\\"IP-DIA\\\": true,\\n                  \\\"IP-DIA-AGG\\\": true,\\n                  \\\"IP-VPN\\\": true,\\n                  \\\"WAVES-STD-P2P\\\": false\\n              },\\n              \\\"preferred\\\": {\\n                  \\\"ETH-ELAN-M2M\\\": true,\\n                  \\\"ETH-ELINE-NNI\\\": true,\\n                  \\\"ETH-ELINE-P2P\\\": true,\\n                  \\\"ETH-ELINE-UNI\\\": true,\\n                  \\\"ETH-PDN-P2P\\\": false,\\n                  \\\"IP-DIA\\\": true,\\n                  \\\"IP-DIA-AGG\\\": true,\\n                  \\\"IP-VPN\\\": true,\\n                  \\\"WAVES-STD-P2P\\\": false\\n              }\\n          },\\n          {\\n              \\\"locationName\\\": \\\"9417 Corporate Lake Dr/Fl-1/Rm-MPOE\\\",\\n              \\\"locationId\\\": \\\"a0b4z00000QwxoRAAR\\\",\\n              \\\"networkStatus\\\": \\\"Not on Zayo Network\\\",\\n              \\\"suite\\\": null,\\n              \\\"floor\\\": \\\"1\\\",\\n              \\\"room\\\": \\\"MPOE\\\",\\n              \\\"enabled\\\": {\\n                  \\\"ETH-ELAN-M2M\\\": false,\\n                  \\\"ETH-ELINE-NNI\\\": false,\\n                  \\\"ETH-ELINE-P2P\\\": false,\\n                  \\\"ETH-ELINE-UNI\\\": false,\\n                  \\\"ETH-PDN-P2P\\\": false,\\n                  \\\"IP-DIA\\\": false,\\n                  \\\"IP-DIA-AGG\\\": false,\\n                  \\\"IP-VPN\\\": false,\\n                  \\\"WAVES-STD-P2P\\\": false\\n              },\\n              \\\"preferred\\\": {\\n                  \\\"ETH-ELAN-M2M\\\": false,\\n                  \\\"ETH-ELINE-NNI\\\": false,\\n                  \\\"ETH-ELINE-P2P\\\": false,\\n                  \\\"ETH-ELINE-UNI\\\": false,\\n                  \\\"ETH-PDN-P2P\\\": false,\\n                  \\\"IP-DIA\\\": false,\\n                  \\\"IP-DIA-AGG\\\": false,\\n                  \\\"IP-VPN\\\": false,\\n                  \\\"WAVES-STD-P2P\\\": false\\n              }\\n          }\\n      ],\\\"messages\\\": []}}\"},\"Off Net Locations\":{\"value\":\"{ \\\"apiVersion\\\": \\\"v2\\\", \\\"data\\\": {\\n    \\\"buildingId\\\": \\\"a0W0z00000APp0IEAT\\\",\\n    \\\"address\\\": \\\"Avenue Léon Grosjean 2, 1140, Evere\\\",\\n    \\\"zayoNetworkStatus\\\": \\\"Not on Zayo Network\\\",\\n    \\\"locations\\\": [\\n        {\\n            \\\"locationName\\\": \\\"Avenue Léon Grosjean 2/Fl-1/Rm-MPOE\\\",\\n            \\\"locationId\\\": \\\"a0b0z00000Q0RQRAA3\\\",\\n            \\\"networkStatus\\\": \\\"Not on Zayo Network\\\",\\n            \\\"suite\\\": null,\\n            \\\"floor\\\": \\\"1\\\",\\n            \\\"room\\\": \\\"MPOE\\\",\\n            \\\"enabled\\\": {\\n                \\\"ETH-ELAN-M2M\\\": false,\\n                \\\"ETH-ELINE-NNI\\\": false,\\n                \\\"ETH-ELINE-P2P\\\": false,\\n                \\\"ETH-ELINE-UNI\\\": false,\\n                \\\"ETH-PDN-P2P\\\": false,\\n                \\\"IP-DIA\\\": false,\\n                \\\"IP-DIA-AGG\\\": false,\\n                \\\"IP-VPN\\\": false,\\n                \\\"WAVES-STD-P2P\\\": false\\n            },\\n            \\\"preferred\\\": {\\n                \\\"ETH-ELAN-M2M\\\": false,\\n                \\\"ETH-ELINE-NNI\\\": false,\\n                \\\"ETH-ELINE-P2P\\\": false,\\n                \\\"ETH-ELINE-UNI\\\": false,\\n                \\\"ETH-PDN-P2P\\\": false,\\n                \\\"IP-DIA\\\": false,\\n                \\\"IP-DIA-AGG\\\": false,\\n                \\\"IP-VPN\\\": false,\\n                \\\"WAVES-STD-P2P\\\": false\\n            }\\n        }\\n    ],\\\"messages\\\": []}}\"}}}}}}}},\"/services/quote-management/v2/sites/available-cloud-providers\":{\"post\":{\"summary\":\"Get cloud sites\",\"description\":\"Search over 200 Cloud on ramps, options include - Amazon AWS, Google Cloud, Microsoft Azure / Office365, IBM Cloud, Salesforce, Twilio, and many more!\",\"operationId\":\"getCloudSites\",\"tags\":[\"Discovery\"],\"requestBody\":{\"description\":\"Apply filters to return a list of cloud sites to quote to available Zayo products. Filter options include - cloudProvider, connectionType, productCode, and buildingId. Pagination with top and skip options.\",\"required\":false,\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"filter\":{\"type\":\"object\",\"description\":\"Object to define filter options.\",\"properties\":{\"productCodes\":{\"type\":\"array\",\"description\":\"Apply multiple product code options.\",\"example\":\"[\\\"ETH-ELINE-UNI\\\", \\\"ETH-ELINE-P2P\\\"] THIS IS WRONG, NEED TO REMOVE \\\\ and make [ ] white\",\"items\":{\"type\":\"object\",\"properties\":{\"productCode\":{\"type\":\"string\",\"description\":\"productCode returned from the /product-code route.\"}}}},\"buildingIds\":{\"type\":\"array\",\"description\":\"Apply multiple buildingId options.\",\"example\":\"[\\\"a0W600000009mo2EAA\\\", \\\"a0W60000000A0DIEA0\\\"] THIS IS WRONG, NEED TO REMOVE \\\\ and make [ ] white\",\"items\":{\"type\":\"object\",\"properties\":{\"buildingId\":{\"type\":\"string\",\"description\":\"buildingId returned from the /buildings/validation route.\"}}}},\"cloudProviders\":{\"type\":\"array\",\"description\":\"Apply multiple cloudProvider options. See all options in the Cloud Providers schema.\",\"example\":\"[\\\"Amazon AWS\\\", \\\"Google Cloud\\\"] THIS IS WRONG, NEED TO REMOVE \\\\ and make [ ] white\",\"items\":{\"type\":\"object\",\"properties\":{\"cloudProvider\":{\"type\":\"string\"}}}},\"connectionTypes\":{\"type\":\"array\",\"description\":\"Apply connection type options - Hosted or Direct.\",\"example\":\"[\\\"Hosted\\\"]\",\"items\":{\"type\":\"object\",\"properties\":{\"connectionType\":{\"type\":\"string\"}}}}}},\"paging\":{\"type\":\"object\",\"description\":\"Object to define pagination. Default = 10 records per page.\",\"properties\":{\"top\":{\"type\":\"string\",\"description\":\"Number of records to be returned per page. Default is 10.\",\"example\":50},\"skip\":{\"type\":\"string\",\"description\":\"Page number. Default is 0.\",\"example\":0}}}}}}}},\"responses\":{\"200\":{\"description\":\"Success\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\"},\"examples\":{\"Hosted Amazon AWS Options\":{\"value\":\"{\\\"apiVersion\\\": \\\"v2\\\", \\\"data\\\": [\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002EI8EEAW\\\",\\n        \\\"buildingAddress\\\": \\\"6327 NE Evergreen Pkwy - Bldg C, Hillsboro, OR 97124 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"EdgeConnex POR01\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-1/Rm-104 MMR:2\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US West (Oregon)\\\",\\n                \\\"latitude\\\": 45.551671,\\n                \\\"locationId\\\": \\\"a0b6000000G5qDSAAZ\\\",\\n                \\\"longitude\\\": -122.915335,\\n                \\\"region\\\": \\\"us-west-2\\\",\\n                \\\"zone\\\": \\\"ECPO1\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002AnGSEA0\\\",\\n        \\\"buildingAddress\\\": \\\"Kleyerstraße 88-90, Frankfurt am Main, 60326 Germany\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Equinix FR5, Itenos\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-G/Rm-Colo\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Europe (Frankfurt)\\\",\\n                \\\"latitude\\\": 50.09914717148319,\\n                \\\"locationId\\\": \\\"a0b6000000EqsfLAAR\\\",\\n                \\\"longitude\\\": 8.632502551280991,\\n                \\\"region\\\": \\\"eu-central-1\\\",\\n                \\\"zone\\\": \\\"EQFA5\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002An9CEAS\\\",\\n        \\\"buildingAddress\\\": \\\"137 Boulevard Voltaire, Paris, 75011 France\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Telehouse 2\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-2/Rm-22.07\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Europe (Frankfurt)\\\",\\n                \\\"latitude\\\": 48.8562758,\\n                \\\"locationId\\\": \\\"a0b60000008eiILAAY\\\",\\n                \\\"longitude\\\": 2.3835683,\\n                \\\"region\\\": \\\"eu-central-1\\\",\\n                \\\"zone\\\": \\\"THV52\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002AJTAEA4\\\",\\n        \\\"buildingAddress\\\": \\\"2972 Stender Way, Santa Clara, CA 95054 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Coresite SV4\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-2/Rm-212A\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US West (N. California)\\\",\\n                \\\"latitude\\\": 37.3762704,\\n                \\\"locationId\\\": \\\"a0b60000006I5WQAA0\\\",\\n                \\\"longitude\\\": -121.9706989,\\n                \\\"region\\\": \\\"us-west-1\\\",\\n                \\\"zone\\\": \\\"CSSV4\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W600000009mrjEAA\\\",\\n        \\\"buildingAddress\\\": \\\"32 Avenue Of The Americas, New York, NY 10013 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"32 Avenue Of The Americas\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-7/Ste-Coresite/Rm-700\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US East (N. Virginia)\\\",\\n                \\\"latitude\\\": 40.719979,\\n                \\\"locationId\\\": \\\"a0b60000000VmskAAC\\\",\\n                \\\"longitude\\\": -74.004689,\\n                \\\"region\\\": \\\"us-east-1\\\",\\n                \\\"zone\\\": \\\"CS32A\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W600000009ypzEAA\\\",\\n        \\\"buildingAddress\\\": \\\"11 Great Oaks Blvd, San Jose, CA 95119 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Equinix SV1\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-1/Rm-Equinix\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US West (N. California)\\\",\\n                \\\"latitude\\\": 37.241589,\\n                \\\"locationId\\\": \\\"a0b60000000DoPKAA0\\\",\\n                \\\"longitude\\\": -121.783319,\\n                \\\"region\\\": \\\"us-west-1\\\",\\n                \\\"zone\\\": \\\"EQSV5\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002An1MEAS\\\",\\n        \\\"buildingAddress\\\": \\\"227 Marsh Wall, London, E14 9SD United Kingdom\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Digital Realty Sovereign House\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-3/Rm-MMR 2\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Europe (London)\\\",\\n                \\\"latitude\\\": 51.499894532300985,\\n                \\\"locationId\\\": \\\"a0b60000003LGd8AAG\\\",\\n                \\\"longitude\\\": -0.011129790474255729,\\n                \\\"region\\\": \\\"eu-west-2\\\",\\n                \\\"zone\\\": \\\"TCSH\\\"\\n            },\\n            {\\n                \\\"building\\\": \\\"Digital Realty Sovereign House\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-3/Rm-MMR 2\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Europe (Ireland)\\\",\\n                \\\"latitude\\\": 51.499894532300985,\\n                \\\"locationId\\\": \\\"a0b60000003LGd8AAG\\\",\\n                \\\"longitude\\\": -0.011129790474255729,\\n                \\\"region\\\": \\\"eu-west-1\\\",\\n                \\\"zone\\\": \\\"TCSH\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000000A0DIEA0\\\",\\n        \\\"buildingAddress\\\": \\\"910 15th St, Denver, CO 80202 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Denver Gas & Electric\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-3/Ste-350/Rm-MMR\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"10G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": false\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US West (Oregon)\\\",\\n                \\\"latitude\\\": 39.74556,\\n                \\\"locationId\\\": \\\"a0b60000000TURgAAO\\\",\\n                \\\"longitude\\\": -104.995682,\\n                \\\"region\\\": \\\"us-west-2\\\",\\n                \\\"zone\\\": \\\"CSDE1\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W600000009mo2EAA\\\",\\n        \\\"buildingAddress\\\": \\\"21715 Filigree Ct, Ashburn, VA 20147 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Equinix DC2/DC11\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-1/Rm-Equinix\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US East (N. Virginia)\\\",\\n                \\\"latitude\\\": 39.0166517,\\n                \\\"locationId\\\": \\\"a0b60000006E5q2AAC\\\",\\n                \\\"longitude\\\": -77.4589872,\\n                \\\"region\\\": \\\"us-east-1\\\",\\n                \\\"zone\\\": \\\"EQDC2\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002BG6REAW\\\",\\n        \\\"buildingAddress\\\": \\\"15 Pioneer Walk, Singapore, 627753 Singapore\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Equinix SG2\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-1/Rm-MPOE\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Asia Pacific (Singapore)\\\",\\n                \\\"latitude\\\": 1.32187,\\n                \\\"locationId\\\": \\\"a0b60000003MZCQAA4\\\",\\n                \\\"longitude\\\": 103.695274,\\n                \\\"region\\\": \\\"ap-southeast-1\\\",\\n                \\\"zone\\\": \\\"EQSG2\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000008EahnEAC\\\",\\n        \\\"buildingAddress\\\": \\\"800 Rue du Square-Victoria, Montreal, QC H4Z 1A1 Canada\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"eStruxture MTL-1\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-SS1/Rm-MMR1\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"Canada (Central)\\\",\\n                \\\"latitude\\\": 45.500623,\\n                \\\"locationId\\\": \\\"a0b6000000EkkQDAAZ\\\",\\n                \\\"longitude\\\": -73.561876,\\n                \\\"region\\\": \\\"ca-central-1\\\",\\n                \\\"zone\\\": \\\"NTM62\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W600000009nMLEAY\\\",\\n        \\\"buildingAddress\\\": \\\"350 E Cermak Rd, Chicago, IL 60616 USA\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Lakeside Technology Center\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-5 or 6 or 8/Rm-Equinix\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-UNI\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\",\\n                                    \\\"250Mb\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELINE-P2P\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"No\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"10Mb\\\",\\n                                    \\\"20Mb\\\",\\n                                    \\\"30Mb\\\",\\n                                    \\\"40Mb\\\",\\n                                    \\\"50Mb\\\",\\n                                    \\\"60Mb\\\",\\n                                    \\\"70Mb\\\",\\n                                    \\\"80Mb\\\",\\n                                    \\\"90Mb\\\",\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"4G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    }\\n                ],\\n                \\\"destinationName\\\": \\\"US East (Ohio)\\\",\\n                \\\"latitude\\\": 41.853686,\\n                \\\"locationId\\\": \\\"a0b60000008c0KYAAY\\\",\\n                \\\"longitude\\\": -87.618249,\\n                \\\"region\\\": \\\"us-east-2\\\",\\n                \\\"zone\\\": \\\"EQC50\\\"\\n            }\\n        ]\\n    },\\n    {\\n        \\\"buildingId\\\": \\\"a0W60000002AmytEAC\\\",\\n        \\\"buildingAddress\\\": \\\"250 Front St W, Toronto, ON M5V 3G5 Canada\\\",\\n        \\\"destinations\\\": [\\n            {\\n                \\\"building\\\": \\\"Allied 250 Front St W\\\",\\n                \\\"cloudProvider\\\": \\\"Amazon AWS\\\",\\n                \\\"demarc\\\": \\\"Fl-B2/Rm-South MMR\\\",\\n                \\\"destinationDetails\\\": [\\n                    {\\n                        \\\"productCode\\\": \\\"ETH-ELAN-M2M\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n                                    \\\"200Mb\\\",\\n                                    \\\"300Mb\\\",\\n                                    \\\"400Mb\\\",\\n                                    \\\"500Mb\\\",\\n                                    \\\"600Mb\\\",\\n                                    \\\"700Mb\\\",\\n                                    \\\"800Mb\\\",\\n                                    \\\"900Mb\\\",\\n                                    \\\"1G\\\",\\n                                    \\\"2G\\\",\\n                                    \\\"3G\\\",\\n                                    \\\"5G\\\"\\n                                ],\\n                                \\\"evcEnabled\\\": true\\n                            }\\n                        }\\n                    },\\n                    {\\n                        \\\"productCode\\\": \\\"IP-VPN\\\",\\n                        \\\"aggregatedBandwidth\\\": \\\"Yes\\\",\\n                        \\\"connectionType\\\": {\\n                            \\\"hosted\\\": {\\n                                \\\"bandwidths\\\": [\\n                                    \\\"100Mb\\\",\\n      
[...]
